Sessions
Delete a session
Soft-deletes the session. It is hidden from list and detail responses; the record is retained for auditing.
DELETE
https://dash.trainertwin.com/api/v1
/
sessions
/
{sessionId}
Delete a session
curl --request DELETE \
--url https://dash.trainertwin.com/api/v1/sessions/{sessionId} \
--header 'x-api-key: <api-key>'const options = {method: 'DELETE', headers: {'x-api-key': '<api-key>'}};
fetch('https://dash.trainertwin.com/api/v1/sessions/{sessionId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://dash.trainertwin.com/api/v1/sessions/{sessionId}"
headers = {"x-api-key": "<api-key>"}
response = requests.delete(url, headers=headers)
print(response.text){
"error": "Resource not found"
}{
"error": "Resource not found"
}{
"error": "Resource not found"
}⌘I
Delete a session
curl --request DELETE \
--url https://dash.trainertwin.com/api/v1/sessions/{sessionId} \
--header 'x-api-key: <api-key>'const options = {method: 'DELETE', headers: {'x-api-key': '<api-key>'}};
fetch('https://dash.trainertwin.com/api/v1/sessions/{sessionId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://dash.trainertwin.com/api/v1/sessions/{sessionId}"
headers = {"x-api-key": "<api-key>"}
response = requests.delete(url, headers=headers)
print(response.text){
"error": "Resource not found"
}{
"error": "Resource not found"
}{
"error": "Resource not found"
}